Skip to main content

The current PMS rate limits associated with your integration.

GEThttps://api.propexo.com/v1/admin/integrations/:integration_id/rate-limits/

The current PMS rate limits associated with your integration. Currently only supported for Rent Manager and Entrata

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

integration_id stringrequired

The unique identifier for the integration

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    results objectrequired
    anyOf
    integration_idstringrequired

    The Propexo unique identifier for the integration

    api_ratelimits object[]required
  • Array [
  • apistringrequired

    The Entrata API associated with the rate limits

    updated_atstringrequired

    The last time this rate limit was recorded

    day_limitinteger | nullnullablerequired

    The maxmimum number of requests per day we can query

    hour_limitinteger | nullnullablerequired

    The maxmimum number of requests per hour we can query

    minute_limitinteger | nullnullablerequired

    The maxmimum number of requests per minute we can query

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/admin/integrations/:integration_id/rate-limits/
curl https://api.propexo.com/v1/admin/integrations/:integration_id/rate-limits/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"results": {
"integration_id": "string",
"api_ratelimits": [
{
"api": "string",
"updated_at": "string",
"day_limit": 0,
"hour_limit": 0,
"minute_limit": 0
}
]
}
}